=== lib/xbmc-libav-hacks/Makefile ===
SRCS = swresample.c alloc_output_context2.c buffersink.c accessors.c graphparser.c

LIB = dll-libavhacks.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
