=== xbmc/addons/Makefile ===
SRCS=Addon.cpp \
     AddonCallbacks.cpp \
     AddonCallbacksAddon.cpp \
     AddonCallbacksCodec.cpp \
     AddonCallbacksGUI.cpp \
     AddonCallbacksPVR.cpp \
     AddonDatabase.cpp \
     AddonInstaller.cpp \
     AddonManager.cpp \
     AddonStatusHandler.cpp \
     AddonVersion.cpp \
     GUIDialogAddonInfo.cpp \
     GUIDialogAddonSettings.cpp \
     GUIViewStateAddonBrowser.cpp \
     GUIWindowAddonBrowser.cpp \
     PluginSource.cpp \
     Repository.cpp \
     Scraper.cpp \
     ScreenSaver.cpp \
     Service.cpp \
     Skin.cpp \
     Visualisation.cpp \

LIB=addons.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
