=== xbmc/settings/Makefile ===
SRCS=AdvancedSettings.cpp \
     DisplaySettings.cpp \
     MediaSettings.cpp \
     MediaSourceSettings.cpp \
     SettingAddon.cpp \
     SettingControl.cpp \
     SettingPath.cpp \
     Settings.cpp \
     SkinSettings.cpp \
     VideoSettings.cpp \

LIB=settings.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
