=== debian/changelog ===
xbmc (2:13.0~git20140504.0651~0d1d803) unstable; urgency=low

  [ xbmc ]
  * autogenerated dummy changelog

 -- wsnipex <wsnipex@xbmc.org>  Sun, 12 May 2013 09:41:54 +0100
